<h1 class="no-toc">Introducción a la Documentación de Angular</h1>

Angular es un framework de diseño de aplicaciones y plataforma de desarrollo para crear aplicaciones de una
sola página eficientes y sofisticadas

Esta documentación de Angular te ayuda a aprender y usar el framework y la plataforma de desarrollo, desde tu
primera aplicación hasta la optimización de aplicaciones complejas de una sola página, para empresas.
Los tutoriales y guías incluyen ejemplos descargables para acelerar tus proyectos.


<div class="card-container">
  <a href="guide/setup-local" class="docs-card"
    title="Angular Local Environment Setup">
      <section>Comienza</section>
      <p>Configura tu entorno local para el desarrollo, con Angular CLI.</p>
      <p class="card-footer">Configuración local</p>
  </a>
  <a href="guide/architecture" class="docs-card" title="Angular Concepts">
      <section>Aprende y Explora</section>
      <p>Aprende sobre arquitectura y conceptos de diseño fundamentales de aplicaciones Angular.</p>
      <p class="card-footer">Introducción a conceptos de Angular</p>
  </a>
  <a href="start" class="docs-card" title="Try out Angular">
      <section>Echa un vistazo</section>
      <p>Examina y trabaja con una pequeña aplicación Angular lista para usar, sin configuraciónes.</p>
      <p class="card-footer">Pruébalo ahora</p>
  </a>
  <a href="tutorial" class="docs-card" title="Create an app">
      <section>Hola Mundo</section>
      <p>Trabaja mediante un tutorial completo para crear tu primera aplicación.</p>
      <p class="card-footer">Tutorial Tour de Héroes</p>
  </a>


</div>


## Supuestos


Esta documentación asume que estás familiarizado con
[HTML](https://developer.mozilla.org/es/docs/Learn/HTML/Introduccion_a_HTML "Aprende HTML"),
[CSS](https://developer.mozilla.org/es/docs/Learn/CSS/First_steps "Aprende CSS"),
[JavaScript](https://developer.mozilla.org/es/docs/Web/JavaScript/Una_re-introducci%C3%B3n_a_JavaScript "Aprende JavaScript"),
y algunas herramientas de los
[últimos estándares javascript](https://developer.mozilla.org/es/docs/Web/JavaScript/Language_Resources "Últimos estándares JavaScript"),
como son las [clases](https://developer.mozilla.org/es/docs/Web/JavaScript/Referencia/Classes "Clases ES2015")
y [módulos](https://developer.mozilla.org/es/docs/Web/JavaScript/Referencia/Sentencias/import "Modulos ES2015").
Los ejemplos de código son escritos usando [TypeScript](https://www.typescriptlang.org/ "TypeScript").
La mayor parte del código Angular se puede escribir tan solo con la versión más reciente de JavaScript, usando
[tipos](https://www.typescriptlang.org/docs/handbook/classes.html "Tipos TypeScript") para inyección de
dependencia, y usando [decoradores](https://www.typescriptlang.org/docs/handbook/decorators.html "Decoradores")
para metadatos.


## Retrolimentación

<h3>¡Puedes sentarte con nosotros!</h3>

Queremos saber de ti. 
[Informa problemas o envía sugerencias para nueva documentación.](https://github.com/angular-hispano/angular/issues/new/choose "Repositorio GitHub de Angular, form para nuevo issue")

Colabora con la documentación de Angular creando
[pull requests](https://github.com/angular-hispano/angular/pulls "Angular Github pull requests")
en el repositorio Github de Angular en español.
Mira [Colaborando a Angular](https://github.com/angular-hispano/angular/blob/master/CONTRIBUTING.md "Guía de Colaboración")
para obtener información sobre las pautas de envío de nuevas colaboraciones.

Nuestra comunidad valora la comunicación respetuosa y solidaria.
Consulta y adhiérete al
[Código de Conducta](https://angular.lat/coc "Código de Conducta del comunidad").
